VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Content::Library::Item::Storage Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::Storage:

## Classes
class | Info

## Avaliable Methods
public method | get ()
public method | new ()
public method | list ()

## Detailed Description

`Com::Vmware::Content::Library::Item::Storage` is a resource that represents a specific instance of a file stored on a storage backing. Unlike class Com::Vmware::Content::Library::Item::File , which is abstract, storage represents concrete files on the various storage backings. A file is only represented once in class Com::Vmware::Content::Library::Item::File , but will be represented multiple times (once for each storage backing) in `Com::Vmware::Content::Library::Item::Storage` . The `Com::Vmware::Content::Library::Item::Storage` interface provides information on the storage backing and the specific location of the file in that backing to privileged users who want direct access to the file on the storage medium.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::Storage::get | ( |  | ) |

Retrieves the storage information for a specific file in a library item.

Parameters

  library_item_id | [REQUIRED] Identifier of the library item whose storage information should be retrieved. The value must be an identifier for the resource type getQualifiedName(com.vmware.content.library.Item). . The value must be str.
  file_name | [REQUIRED] Name of the file for which the storage information should be listed. . The value must be String.

Return values

  The | list of all the storage items for the given file within the given library item. The return type will be Array of Com::Vmware::Content::Library::Item::Storage::Info

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the specified library item does not exist.
  Com::Vmware::Vapi::Std::Errors::NotFound | if the specified file does not exist in the given library item.

Code:
click to view
# Number of lines of code in get: 11
sub get {
my ($self, %args) = @_;
my $library_item_id = $args {library_item_id};
my $file_name = $args {file_name};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Content::Library::Item::Storage::list | ( |  | ) |

Lists all storage items for a given library item.

Parameters

  library_item_id | [REQUIRED] Identifier of the library item whose storage information should be listed. The value must be an identifier for the resource type getQualifiedName(com.vmware.content.library.Item). . The value must be str.

Return values

  The | list of all storage items for a given library item. The return type will be Array of Com::Vmware::Content::Library::Item::Storage::Info

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the specified library item does not exist.

Code:
click to view
# Number of lines of code in list: 10
sub list {
my ($self, %args) = @_;
my $library_item_id = $args {library_item_id};
$self->validate_args (method_name => 'list',
method_args => \%args);
return $self->invoke (method_name => 'list',
method_args => \%args);
}

public method Com::Vmware::Content::Library::Item::Storage::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/Storage.pm